gdal_merge does not work

2014-03-28 05:00 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 18435

Description

In GDAL 1.10.1 gdal_merge.py was renamed to gdal_merge. As a consequence, both GDALTools and Processing corresponding

commands do not work.

This may affect other GDAL commands.

History

#1 - 2014-03-28 05:10 AM - Paolo Cavallini

- Priority changed from Normal to High

#2 - 2014-03-28 06:25 AM - Alexander Bruy

Hmm... as I can see in sources it still listed as gdal_merge.py (http://trac.osgeo.org/gdal/browser/tags/1.10.1/gdal/swig/python/scripts)

#3 - 2014-03-28 06:27 AM - Paolo Cavallini

$ dpkg -L python-gdal | grep merge

/usr/share/man/man1/gdal_merge.1.gz

/usr/share/doc/python-gdal/examples/gdal_vrtmerge.py.gz

/usr/share/doc/python-gdal/examples/hsv_merge.py.gz

/usr/bin/gdal_merge

#4 - 2014-03-28 06:33 AM - Alexander Bruy

Maybe it was renamed in Debian? Just checked packages in Slackware, Fedora and OpenSuSE: they all have gdal_merge.py not gdal_merge

#5 - 2014-03-28 07:09 AM - Bas Couwenberg

The Debian package indeed strips the .py extension to conform to the Debian Policy (10.4 Scripts).

It's a "should" requirement, so we could chose to not strip the extension and just add a lintian override to not have it complain about this issue, but I'd prefer

to support both variants in QGIS. Checking the file with and without extension shouldn't require much code.

#6 - 2014-03-28 07:12 AM - Etienne Tourigny
Indeed, in ubuntu 12.04 it is installed as gdal_merge.py.

Are there any other gdal/ftools tools that use python scripts? These would require the same fix in this case.

#7 - 2014-03-28 07:17 AM - Alexander Bruy

Etienne Tourigny wrote:

Are there any other gdal/ftools tools that use python scripts? These would require the same fix in this case.

There are several tools in GDALTools plugin and in Processing. I'll try to update them ASAP

#8 - 2014-03-28 04:27 PM - hamish -

could the qgis code be made flexible to search for 'script.py' || 'script'?

having the debian package make an extra symlink seems too ugly to consider.

thanks,

Hamish

#9 - 2014-04-01 03:15 PM - Bas Couwenberg

The GDAL plugins in QGIS heavily rely on the .py extension, so I think the best course of action is to revert the change in the GDAL Debian package.

Ubuntu trusty has gdal 1.10.1+dfsg-3, and because they're in pre-release freeze unlikely to sync gdal 1.10.1+dfsg-5 once it's available in Debian. Although

they may consider it if asked about it explicitly.

#10 - 2014-04-02 11:38 PM - Bas Couwenberg

I've reverted the change that strips the .py extension in the gdal package for Debian, now available in unstable.

I've also filed a sync request for Ubuntu trusty: https://bugs.launchpad.net/ubuntu/+source/gdal/+bug/1301763

#11 - 2014-04-08 11:06 AM - Bas Couwenberg

The fixed gdal packages has migrated to Debian testing, and Ubuntu has synced the fixed package in time for Trusty.

From the distribution side this issue is fixed.

#12 - 2014-04-08 12:34 PM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to up/downstream

#13 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
